Loading...
Searching...
No Matches
DummyGradientCalculator.hpp File Reference

This is a "dummy" gradient calculator which does not do anything. More...

`#include <dune/common/fvector.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | Opm::DummyGradientCalculator< TypeTag >
| This is a "dummy" gradient calculator which does not do anything. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

This is a "dummy" gradient calculator which does not do anything.

The blackoil simulator does not need any gradients: Volume fluxes are calculated via pressure differences instead of pressure gradients (i.e., transmissibilities instead of permeabilities), and an energy equation and molecular diffusion are not supported.